Midjourney Obraz na prompt
Użyj punktu końcowego image to prompt, aby otrzymać wynik w tej samej odpowiedzi.
Omówienie
Użyj punktu końcowego image to prompt i odczytaj wynik z tej samej odpowiedzi.
Szybki start
- Utwórz klucz API i ustaw go jako RUNAPI_API_KEY.
- Wyślij żądanie POST, którego treść odpowiada schematowi żądania.
- Odczytaj wynik z treści pomyślnej odpowiedzi.
Punkt końcowy
- Bazowy URL
https://runapi.ai- Wersja API
v1- Uwierzytelnianie
Authorization: Bearer YOUR_API_TOKEN
Obsługiwane modele
Otwórz stronę modelu, aby zapoznać się z aktualnymi cenami, limitami żądań i szczegółami dotyczącymi użytku komercyjnego.
Schemat żądania
Wysyłaj wyłącznie pola zadeklarowane dla tego punktu końcowego.
Treść żądania1 pole
source_image_urlstringOdpowiedź sukcesu
POST /api/v1/midjourney/image_to_prompt
Schemat odpowiedzi
{
"properties": {
"billing": {
"properties": {
"refund": {
"oneOf": [
{
"properties": {
"refunded_at": {
"type": "string"
}
},
"required": [
"refunded_at"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
},
"reservation": {
"oneOf": [
{
"properties": {
"amount_cents": {
"type": "integer"
}
},
"required": [
"amount_cents"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
},
"settlement": {
"oneOf": [
{
"properties": {
"amount_micro_cents": {
"type": "integer"
},
"charged_amount_cents": {
"type": "integer"
}
},
"required": [
"charged_amount_cents",
"amount_micro_cents"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
}
},
"required": [
"reservation",
"settlement",
"refund"
],
"type": "object",
"unevaluatedProperties": false
},
"prompts": {
"items": {
"type": "string"
},
"maxItems": 4,
"minItems": 4,
"type": "array"
}
},
"required": [
"prompts",
"billing"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"billing": {
"refund": null,
"reservation": null,
"settlement": null
},
"prompts": [
"A quiet coastal town at sunrise in a painterly style.",
"A cinematic sunrise above a calm seaside village.",
"Warm morning light over a peaceful coastal settlement.",
"An atmospheric seaside town beneath a golden sky."
]
}
Błędy
POST /api/v1/midjourney/image_to_prompt
Schemat odpowiedzi
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"error": "Authentication required"
}
Błędy
POST /api/v1/midjourney/image_to_prompt
Schemat odpowiedzi
{
"oneOf": [
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
},
{
"properties": {
"error": {
"description": "Czytelne dla człowieka podsumowanie walidacji.",
"type": "string"
},
"errors": {
"additionalProperties": {
"items": {
"type": "string"
},
"type": "array"
},
"description": "Komunikaty walidacyjne identyfikowane przez publiczne pole żądania, z tablicą czytelnych dla człowieka ciągów znaków dla każdego pola.",
"type": "object"
}
},
"required": [
"error",
"errors"
],
"type": "object",
"unevaluatedProperties": false
}
]
}
Przykład odpowiedzi
{
"error": "source_image_url is required"
}
Błędy
POST /api/v1/midjourney/image_to_prompt
Schemat odpowiedzi
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"error": "Insufficient balance"
}
Błędy
POST /api/v1/midjourney/image_to_prompt
Schemat odpowiedzi
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"error": "API key credit limit exceeded"
}
Błędy
POST /api/v1/midjourney/image_to_prompt
Schemat odpowiedzi
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"error": "The request uses features that are not supported for the selected model"
}
Błędy
POST /api/v1/midjourney/image_to_prompt
Schemat odpowiedzi
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"error": "Rate limit reached. Please retry later."
}
Błędy
POST /api/v1/midjourney/image_to_prompt
Schemat odpowiedzi
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"error": "Pricing is pending for this endpoint"
}
Błędy
POST /api/v1/midjourney/image_to_prompt
Schemat odpowiedzi
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"error": "The request timed out"
}
Błędy
POST /api/v1/midjourney/image_to_prompt
Schemat odpowiedzi
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
{
"error": "Bad Gateway"
}
Wygenerowane przykłady kodu
Używaj bezpośrednio cURL lub zainstaluj SDK dla swojego języka. Każdy przykład przesyła zwalidowane żądanie pokazane w tej dokumentacji.
Instalacja
pip install runapi-midjourney
import os
from runapi.midjourney import MidjourneyClient
client = MidjourneyClient(api_key=os.environ["RUNAPI_API_KEY"])
result = client.image_to_prompt.run(
source_image_url="https://cdn.runapi.ai/public/samples/image.jpg"
)